X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why doesn't "My Tom Tom" (GPS site) work with Firefox? I can only seem to get updates via IE.

Posted

When I initially activated my Tom Tom GPS (Jan 2012) I did not have a problem using Firefox. About 4-6 weeks ago I attempted to update the device and "My Tom Tom" would not run with Firefox. After literally hours of trying to get it to work, I tried Internet Explorer and the updates ran without a hitch. Today I had the same problem and after a few unsuccessful attempts to use Firefox, switched to IE and had no problems. I am not sure, but I think I updated my Tom Tom device at least once via Firefox and believe the problem developed sometime after April 2012

Chosen solution

It is most likely because you are running a very out of date version of Firefox. I have a TomTom, and it works fine with Firefox 15.0.1. Try to update to that then try again.

Read this answer in context 2

Additional System Details

This started when...

After April 2012

Installed Plug-ins

  • Google Update
  • Next Generation Java Plug-in 10.7.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 11.4 r402
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.6.636
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.4
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.5.635
  • 5.1.10411.0
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • NPWLPG

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0.1) Gecko/20100101 Firefox/8.0.1

More Information

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6641 answers

Chosen Solution

It is most likely because you are running a very out of date version of Firefox. I have a TomTom, and it works fine with Firefox 15.0.1. Try to update to that then try again.